%define qtdir /usr/lib/qt-1.45
%define kdeprefix /usr

Summary: A PPP connection load monitor for KDE.
Name: kpppload 
Version: 1.04
Release: 19
Source: ftp://ftp.interpath.net/pub/linuxberg/files/kde/network/%{name}-%{version}.tar.gz
Patch0: kpppload-1.04-htmldir.patch
Copyright: GPL
Group: Applications/Internet
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildPrereq: compat-egcs-c++, kdelibs-devel
Requires: kdesupport
ExcludeArch: ia64
Prefix: %{kdeprefix}

%description
KPPPLoad is a PPP connection load monitor which works with KDE's
session management. KPPPLoad resembles xload.

Install kpppload if you need a PPP load monitor for KDE.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
#%patch0 -p1 -b .htmldir

# the package comes with bad dependencies!
find . -name \*.o | xargs rm -f
find . -name \*.moc | xargs rm -f
find . -name .deps | xargs rm -fr

%build
if [ -x /usr/bin/getconf ]; then
  CPUS=`getconf _NPROCESSORS_ONLN`
fi
if test "x$CPUS" = "x" -o "x$CPUS" = "x0"; then
  CPUS=1
fi

[ -f configure.in ] && libtoolize --copy --force
CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG -DNO_DEBUG" CFLAGS="$CXXFLAGS" \
konfigure --prefix=%{prefix}

make clean
make -j $CPUS

%install
rm -rf $RPM_BUILD_ROOT

make install prefix=$RPM_BUILD_ROOT%{prefix}
cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
	$RPM_BUILD_DIR/file.list.%{name}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
	-e '/\/config\//s|^|%config|' >> \
	$RPM_BUILD_DIR/file.list.%{name}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
	$RPM_BUILD_DIR/file.list.%{name}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{name}

%files -f ../file.list.%{name}

%changelog
* Thu Aug 24 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Use konfigure instead of hardcoding moc paths

* Thu Aug 24 2000 Than Ngo <than@redhat.com>
- set MOC enviroment for qt.1.45 for using
  moc from qt-1.45

* Tue Aug 01 2000 Than Ngo <than@redhat.de>
- rebuilt against the kde1

* Wed Jul 19 2000 Than Ngo <than@redhat.de>
- rebuilt against compat-libstdc++

* Mon Jul 17 2000 Than Ngo <than@redhat.de>
- install under /usr/share instead /usr/lib/kde1-compat/share,
  fix dependency problem

* Sat Jul 15 2000 Than Ngo <than@redhat.de>
- rebuilt with compat-egcs-c++ 1.1.2
- add BuildPrereq: compat-egcs-c++, kde1-compat-devel
  Requires: kdesupport, kde1-compat
- ExcludeArch: ia64

* Fri Jun 30 2000 Than Ngo <than@redhat.de>
- change prefix to built with kde1-compat

* Sun Jun 18 2000 Than Ngo <than@redhat.de>
- rebuilt in the new build environment, fix docdir

* Thu Jun 02 2000 Than Ngo <than@redhat.de>
- rebuild for 7.0

* Fri Feb 11 2000 Preston Brown <pbrown@redhat.com>
- whoops fix typo

* Thu Feb 10 2000 Preston Brown <pbrown@redhat.com>
- .kdelnk not config file

* Fri Feb 04 2000 Preston Brown <pbrown@redhat.com>
- fix htmldir

* Sat Jan  8 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Rebuild for 6.2
- fix build on alpha/libtool 1.3.4
- fix up download URL

* Fri Sep 24 1999 Preston Brown <pbrown@redhat.com>
- mark doc files as such.

* Mon Sep 13 1999 Preston Brown <pbrown@redhat.com>
- build for new KDE 1.1.2

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Sat Feb 06 1999 Preston Brown <pbrown@redhat.com>
- rebuilt against new libstdc++

* Thu Jan 07 1999 Preston Brown <pbrown@redhat.com>
- changed over to use /usr as the root

* Sat Dec 12 1998 Preston Brown <pbrown@redhat.com>
- initial, rather bare RPM adapted to our stringent standards. :)
